commit: d36c1431aa9f4ce15848ea3d8ca5b772ea28d45a
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 16:45:23 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 17:43:30 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d36c1431
dev-python/greenstalk: Port up to py3.9
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/greenstalk/greenstalk-1.0.1.ebuild | 13 ++++---------
1 file changed, 4 insertions(+), 9 deletions(-)
diff --git a/dev-python/greenstalk/greenstalk-1.0.1.ebuild
b/dev-python/greenstalk/greenstalk-1.0.1.ebuild
index 8c32194fcab..411e09a24d6 100644
--- a/dev-python/greenstalk/greenstalk-1.0.1.ebuild
+++ b/dev-python/greenstalk/greenstalk-1.0.1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1
DESCRIPTION="A Python 3 client for the beanstalkd work queue"
@@ -13,20 +13,15 @@
SRC_URI="https://github.com/mayhewj/greenstalk/archive/v${PV}.tar.gz -> ${P}.tar
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-DEPEND="
+BDEPEND="
test? (
app-misc/beanstalkd
- dev-python/pytest[${PYTHON_USEDEP}]
)
"
-RDEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
-"
+distutils_enable_tests pytest
python_test() {
- pytest -v tests.py || die
+ pytest -vv tests.py || die
}